## rex 0.1.0

=== DESCRIPTION ===
Package: rex
Type: Package
Title: Simpler Regular Expressions
Version: 0.1.0
Date: 2013-01-16
Author: Kevin Ushey, Jim Hester
Maintainer: Jim Hester <james.f.hester@gmail.com>
Description: A simpler, human-readable interface for the
    construction of regular expressions.
Imports: magrittr, lazyeval
License: MIT + file LICENSE
Suggests: testthat, knitr, dplyr, ggplot2
VignetteBuilder: knitr
Collate: 'aaa.R' 'utils.R' 'escape.R' 'capture.R' 'character_class.R'
        'counts.R' 'lookarounds.R' 'match.R' 'or.R' 'rex-mode.R'
        'rex.R' 'shortcuts.R' 'wildcards.R' 'zzz.R'
Packaged: 2014-10-13 20:22:57 UTC; james.hester
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2014-10-14 05:27:22

## rex 0.1.1

=== DESCRIPTION ===
Package: rex
Type: Package
Title: Simpler Regular Expressions
Version: 0.1.1
Date: 2014-10-14
Authors@R: as.person(c(
    "Kevin Ushey <kevinushey@gmail.com> [aut]",
    "Jim Hester <james.f.hester@gmail.com> [cre, aut]"
    ))
Maintainer: Jim Hester <james.f.hester@gmail.com>
URL: https://github.com/kevinushey/rex
BugReports: https://github.com/kevinushey/rex/issues
Description: A simpler, human-readable interface for the
    construction of regular expressions.
Imports: magrittr, lazyeval
License: MIT + file LICENSE
Suggests: testthat, knitr, dplyr, ggplot2
VignetteBuilder: knitr
Collate: 'aaa.R' 'utils.R' 'escape.R' 'capture.R' 'character_class.R'
        'counts.R' 'lookarounds.R' 'match.R' 'or.R' 'rex-mode.R'
        'rex.R' 'shortcuts.R' 'wildcards.R' 'zzz.R'
Packaged: 2014-10-20 19:03:38 UTC; james.hester
Author: Kevin Ushey [aut],
  Jim Hester [cre, aut]
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2014-10-21 01:59:44

## rex 0.1.2

=== DESCRIPTION ===
Package: rex
Type: Package
Title: Friendly regular expressions
Version: 0.1.2
Date: 2014-10-31
Authors@R: as.person(c(
    "Kevin Ushey <kevinushey@gmail.com> [aut]",
    "Jim Hester <james.f.hester@gmail.com> [cre, aut]"
    ))
Maintainer: Jim Hester <james.f.hester@gmail.com>
URL: https://github.com/kevinushey/rex
BugReports: https://github.com/kevinushey/rex/issues
Description: A more friendly, human-readable interface for the
    construction of regular expressions.
Imports: magrittr, lazyeval
License: MIT + file LICENSE
Suggests: testthat, knitr, dplyr, ggplot2
VignetteBuilder: knitr
Collate: 'aaa.R' 'utils.R' 'escape.R' 'capture.R' 'character_class.R'
        'counts.R' 'lookarounds.R' 'match.R' 'or.R' 'rex-mode.R'
        'rex.R' 'shortcuts.R' 'wildcards.R' 'zzz.R'
Packaged: 2014-10-31 12:49:05 UTC; james.hester
Author: Kevin Ushey [aut],
  Jim Hester [cre, aut]
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2014-10-31 14:46:16

## rex 0.2.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: rex
 Type: Package
-Title: Friendly regular expressions
-Version: 0.1.2
+Title: Friendly Regular Expressions
+Version: 0.2.0
 Date: 2014-10-31
 Authors@R: as.person(c(
     "Kevin Ushey <kevinushey@gmail.com> [aut]",
@@ -19,9 +19,9 @@
 Collate: 'aaa.R' 'utils.R' 'escape.R' 'capture.R' 'character_class.R'
         'counts.R' 'lookarounds.R' 'match.R' 'or.R' 'rex-mode.R'
         'rex.R' 'shortcuts.R' 'wildcards.R' 'zzz.R'
-Packaged: 2014-10-31 12:49:05 UTC; james.hester
+Packaged: 2014-11-26 17:22:14 UTC; james.hester
 Author: Kevin Ushey [aut],
   Jim Hester [cre, aut]
 NeedsCompilation: no
 Repository: CRAN
-Date/Publication: 2014-10-31 14:46:16
+Date/Publication: 2014-11-26 18:49:27

## rex 1.0.1

=== DESCRIPTION ===
Package: rex
Type: Package
Title: Friendly Regular Expressions
Version: 1.0.1
Date: 2015-4-27
Authors@R: c(
    person("Kevin", "Ushey", email = "kevinushey@gmail.com", role = "aut"),
    person("Jim", "Hester", email = "james.f.hester@gmail.com", role = c("aut", "cre")),
    person("Robert", "Krzyzanowski", email = "rkrzyzanowski@gmail.com", role = "aut")
    )
Maintainer: Jim Hester <james.f.hester@gmail.com>
URL: https://github.com/kevinushey/rex
BugReports: https://github.com/kevinushey/rex/issues
Description: A friendly interface for the construction of regular expressions.
Imports: magrittr, lazyeval
License: MIT + file LICENSE
Suggests: testthat, knitr, rmarkdown, dplyr, ggplot2, lintr, Hmisc,
        stringr, rvest
VignetteBuilder: knitr
Collate: 'aaa.R' 'utils.R' 'escape.R' 'capture.R' 'character_class.R'
        'counts.R' 'lookarounds.R' 'match.R' 'or.R' 'rex-mode.R'
        'rex.R' 'shortcuts.R' 'wildcards.R' 'zzz.R'
NeedsCompilation: no
Packaged: 2015-04-27 18:49:01 UTC; jhester
Author: Kevin Ushey [aut],
  Jim Hester [aut, cre],
  Robert Krzyzanowski [aut]
Repository: CRAN
Date/Publication: 2015-04-28 00:31:26

## rex 1.1.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Package: rex
 Type: Package
 Title: Friendly Regular Expressions
-Version: 1.0.1
-Date: 2015-4-27
+Version: 1.1.1
 Authors@R: c(
     person("Kevin", "Ushey", email = "kevinushey@gmail.com", role = "aut"),
     person("Jim", "Hester", email = "james.f.hester@gmail.com", role = c("aut", "cre")),
@@ -15,15 +14,16 @@
 Imports: magrittr, lazyeval
 License: MIT + file LICENSE
 Suggests: testthat, knitr, rmarkdown, dplyr, ggplot2, lintr, Hmisc,
-        stringr, rvest
+        stringr, rvest, roxygen2
 VignetteBuilder: knitr
 Collate: 'aaa.R' 'utils.R' 'escape.R' 'capture.R' 'character_class.R'
         'counts.R' 'lookarounds.R' 'match.R' 'or.R' 'rex-mode.R'
         'rex.R' 'shortcuts.R' 'wildcards.R' 'zzz.R'
+RoxygenNote: 5.0.1.9000
 NeedsCompilation: no
-Packaged: 2015-04-27 18:49:01 UTC; jhester
+Packaged: 2016-12-05 15:10:53 UTC; hornik
 Author: Kevin Ushey [aut],
   Jim Hester [aut, cre],
   Robert Krzyzanowski [aut]
 Repository: CRAN
-Date/Publication: 2015-04-28 00:31:26
+Date/Publication: 2016-12-05 18:28:48

## rex 1.2.1

=== debian/changelog ===
rex (1.2.1-1) unstable; urgency=medium

  * Initial Release. Closes: #688066.

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Wed, 29 Apr 2015 14:11:45 +0200

=== debian/control ===
Source: rex
Section: admin
Priority: optional
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Alexandre Mestiashvili <alex@biotec.tu-dresden.de>
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: libdbi-perl,
                     libdigest-hmac-perl,
                     libhash-merge-perl,
                     libhttp-message-perl,
                     libio-string-perl,
                     libipc-shareable-perl,
                     libjson-xs-perl,
                     liblist-moreutils-perl,
                     libnet-openssh-perl,
                     libnet-sftp-foreign-perl,
                     libnet-ssh2-perl,
                     libparallel-forkmanager-perl,
                     libsort-naturally-perl,
                     libstring-escape-perl,
                     libterm-readkey-perl,
                     libtest-pod-perl,
                     libtext-glob-perl,
                     liburi-perl,
                     libwww-perl,
                     libxml-simple-perl,
                     libyaml-perl,
                     perl
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/rex.git
Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/rex.git
Homepage: http://www.rexify.org/

Package: rex
Architecture: all
Depends: libdbi-perl,
         libdigest-hmac-perl,
         libexpect-perl,
         libhash-merge-perl,
         libhttp-message-perl,
         libio-string-perl,
         libipc-shareable-perl,
         libjson-xs-perl,
         liblist-moreutils-perl,
         liblwp-protocol-https-perl,
         libnet-openssh-perl,
         libnet-sftp-foreign-perl,
         libnet-ssh2-perl,
         libparallel-forkmanager-perl,
         libsort-naturally-perl,
         libstring-escape-perl,
         libterm-readkey-perl,
         libtext-glob-perl,
         liburi-perl,
         libwww-perl,
         libxml-libxml-perl,
         libxml-simple-perl,
         libyaml-perl,
         ${misc:Depends},
         ${perl:Depends}
Description: deployment and configuration management tool
 Rex is a tool to ease the execution of commands on multiple remote
 servers. You can define small tasks, chain tasks to batches, link
 them with servers or server groups, and execute them easily in
 your terminal.

## rex 1.3.3

=== debian/changelog ===
rex (1.3.3-1) unstable; urgency=medium

  * Imported Upstream version 1.3.3

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Thu, 17 Sep 2015 10:20:47 +0200

rex (1.3.2-1) unstable; urgency=medium

  * Imported Upstream version 1.3.2

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Wed, 22 Jul 2015 15:24:12 +0200

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,19 @@
 Priority: optional
 Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
 Uploaders: Alexandre Mestiashvili <alex@biotec.tu-dresden.de>
+Testsuite: autopkgtest-pkg-perl
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: libdbi-perl,
                      libdigest-hmac-perl,
+                     libexpect-perl,
                      libhash-merge-perl,
                      libhttp-message-perl,
+                     libio-pty-perl,
                      libio-string-perl,
                      libipc-shareable-perl,
                      libjson-xs-perl,
                      liblist-moreutils-perl,
+                     liblwp-protocol-https-perl,
                      libnet-openssh-perl,
                      libnet-sftp-foreign-perl,
                      libnet-ssh2-perl,
@@ -20,9 +24,11 @@
                      libstring-escape-perl,
                      libterm-readkey-perl,
                      libtest-pod-perl,
+                     libtest-useallmodules-perl,
                      libtext-glob-perl,
                      liburi-perl,
                      libwww-perl,
+                     libxml-libxml-perl,
                      libxml-simple-perl,
                      libyaml-perl,
                      perl
@@ -38,6 +44,7 @@
          libexpect-perl,
          libhash-merge-perl,
          libhttp-message-perl,
+         libio-pty-perl,
          libio-string-perl,
          libipc-shareable-perl,
          libjson-xs-perl,

=== debian/rules ===
#!/usr/bin/make -f

pkg := $(shell dpkg-parsechangelog --show-field=Source)
mandir := $(CURDIR)/debian/$(pkg)/usr/share/man/man3

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	rm --verbose $(mandir)/Rex::Resource::Common.3pm

=== debian/watch ===
version=3
https://metacpan.org/release/Rex   .*/Rex-v?(\d[\d.-]*)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)$

## rex 1.4.1

=== debian/changelog ===
rex (1.4.1-1) unstable; urgency=medium

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.

  [ Alexandre Mestiashvili ]
  * Imported Upstream version 1.4.1
  * Bump Standards-Version
  * Update spelling.patch

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Thu, 21 Jul 2016 18:09:44 +0200

rex (1.4.0-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ Alexandre Mestiashvili ]
  * Imported Upstream version 1.4.0
  * d/control: Add new dependencies
  * d/copyright: Cleanup, update copyright years
  * d/patches/spelling.patch: Correct typos

  [ gregor herrmann ]
  * Activate more autopkgtests.

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Tue, 08 Mar 2016 16:17:02 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: rex
-Section: admin
-Priority: optional
 Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
 Uploaders: Alexandre Mestiashvili <alex@biotec.tu-dresden.de>
+Section: admin
 Testsuite: autopkgtest-pkg-perl
+Priority: optional
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: libdbi-perl,
+                     libdevel-caller-perl,
                      libdigest-hmac-perl,
                      libexpect-perl,
                      libhash-merge-perl,
@@ -23,6 +24,7 @@
                      libsort-naturally-perl,
                      libstring-escape-perl,
                      libterm-readkey-perl,
+                     libtest-deep-perl,
                      libtest-pod-perl,
                      libtest-useallmodules-perl,
                      libtext-glob-perl,
@@ -32,14 +34,15 @@
                      libxml-simple-perl,
                      libyaml-perl,
                      perl
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/rex.git
-Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/rex.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/rex.git
 Homepage: http://www.rexify.org/
 
 Package: rex
 Architecture: all
 Depends: libdbi-perl,
+         libdevel-caller-perl,
          libdigest-hmac-perl,
          libexpect-perl,
          libhash-merge-perl,

## rex 1.5.0

=== debian/changelog ===
rex (1.5.0-1) unstable; urgency=medium

  * New upstream version 1.5.0
  * Refresh spelling.patch
  * Update d/copyright
  * Add libdata-validate-ip-perl to d/control
  * Remove Rex/Commands/Rsync.pm from d/tests/pkg-perl/syntax-skip
  * Update d/control and d/copyright to use https where possible

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Thu, 23 Mar 2017 16:24:17 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Testsuite: autopkgtest-pkg-perl
 Priority: optional
 Build-Depends: debhelper (>= 9)
-Build-Depends-Indep: libdbi-perl,
+Build-Depends-Indep: libdata-validate-ip-perl,
+                     libdbi-perl,
                      libdevel-caller-perl,
                      libdigest-hmac-perl,
                      libexpect-perl,
@@ -37,11 +38,12 @@
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/rex.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/rex.git
-Homepage: http://www.rexify.org/
+Homepage: https://www.rexify.org/
 
 Package: rex
 Architecture: all
-Depends: libdbi-perl,
+Depends: libdata-validate-ip-perl,
+         libdbi-perl,
          libdevel-caller-perl,
          libdigest-hmac-perl,
          libexpect-perl,

## rex 1.6.0

=== debian/changelog ===
rex (1.6.0-1) unstable; urgency=medium

  * New upstream version 1.6.0
  * Update d/control:
    - s/libjson-xs-perl/libjson-maybexs-perl/
    - set Standards-Version to 4.1.3
    - bump debhelper to v11
  * Bump d/compat to 11
  * Fix rm command in d/rules
  * d/copyright: update copyright years

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Thu, 01 Feb 2018 16:37:50 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: admin
 Testsuite: autopkgtest-pkg-perl
 Priority: optional
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper (>= 11)
 Build-Depends-Indep: libdata-validate-ip-perl,
                      libdbi-perl,
                      libdevel-caller-perl,
@@ -15,7 +15,7 @@
                      libio-pty-perl,
                      libio-string-perl,
                      libipc-shareable-perl,
-                     libjson-xs-perl,
+                     libjson-maybexs-perl,
                      liblist-moreutils-perl,
                      liblwp-protocol-https-perl,
                      libnet-openssh-perl,
@@ -35,7 +35,7 @@
                      libxml-simple-perl,
                      libyaml-perl,
                      perl
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/rex.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/rex.git
 Homepage: https://www.rexify.org/
@@ -52,7 +52,7 @@
          libio-pty-perl,
          libio-string-perl,
          libipc-shareable-perl,
-         libjson-xs-perl,
+         libjson-maybexs-perl,
          liblist-moreutils-perl,
          liblwp-protocol-https-perl,
          libnet-openssh-perl,

## rex 1.8.1

=== debian/changelog ===
rex (1.8.1-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 1.8.1.
  * Refresh spelling.patch (offset).
  * Update build dependencies.
  * Declare compliance with Debian Policy 4.5.0.
  * Annotate test-only build dependencies with <!nocheck>.
  * Bump debhelper-compat to 12.
  * debian/watch: use uscan version 4.
  * Set upstream metadata fields: Bug-Submit, Repository-Browse.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata.

 -- gregor herrmann <gregoa@debian.org>  Fri, 07 Feb 2020 15:37:24 +0100

rex (1.8.0-1) unstable; urgency=medium

  * New upstream version 1.8.0
  * Add Rules-requires-root field to d/control

 -- Alexandre Mestiashvili <mestia@debian.org>  Mon, 06 Jan 2020 11:39:39 +0100

rex (1.7.0-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ Alexandre Mestiashvili ]
  * New upstream version 1.7.0
  * Refresh spelling.patch
  * Use debhelper-compat, bump Policy to 4.4.1
  * Update uploaders email address
  * Bump copyright year in d/copyright

 -- Alexandre Mestiashvili <mestia@debian.org>  Sat, 09 Nov 2019 13:51:15 +0100

=== debian/control ===
Source: rex
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Alexandre Mestiashvili <mestia@debian.org>
Section: admin
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 12)
Build-Depends-Indep: libdata-validate-ip-perl <!nocheck>,
                     libdbi-perl <!nocheck>,
                     libdevel-caller-perl <!nocheck>,
                     libdigest-hmac-perl <!nocheck>,
                     libexpect-perl <!nocheck>,
                     libhash-merge-perl <!nocheck>,
                     libhttp-message-perl <!nocheck>,
                     libio-pty-perl <!nocheck>,
                     libio-string-perl <!nocheck>,
                     libipc-shareable-perl <!nocheck>,
                     libjson-maybexs-perl <!nocheck>,
                     liblist-moreutils-perl <!nocheck>,
                     liblwp-protocol-https-perl <!nocheck>,
                     libnet-openssh-perl <!nocheck>,
                     libnet-sftp-foreign-perl <!nocheck>,
                     libnet-ssh2-perl <!nocheck>,
                     libparallel-forkmanager-perl <!nocheck>,
                     libsort-naturally-perl <!nocheck>,
                     libstring-escape-perl <!nocheck>,
                     libterm-readkey-perl <!nocheck>,
                     libtest-deep-perl <!nocheck>,
                     libtest-useallmodules-perl <!nocheck>,
                     libtext-glob-perl <!nocheck>,
                     liburi-perl <!nocheck>,
                     libwww-perl <!nocheck>,
                     libxml-libxml-perl <!nocheck>,
                     libxml-simple-perl <!nocheck>,
                     libyaml-perl <!nocheck>,
                     perl
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/rex
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/rex.git
Homepage: https://www.rexify.org/
Rules-Requires-Root: no

Package: rex
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         libdata-validate-ip-perl,
         libdbi-perl,
         libdevel-caller-perl,
         libdigest-hmac-perl,
         libexpect-perl,
         libhash-merge-perl,
         libhttp-message-perl,
         libio-pty-perl,
         libio-string-perl,
         libipc-shareable-perl,
         libjson-maybexs-perl,
         liblist-moreutils-perl,
         liblwp-protocol-https-perl,
         libnet-openssh-perl,
         libnet-sftp-foreign-perl,
         libnet-ssh2-perl,
         libparallel-forkmanager-perl,
         libsort-naturally-perl,
         libstring-escape-perl,
         libterm-readkey-perl,
         libtext-glob-perl,
         liburi-perl,
         libwww-perl,
         libxml-libxml-perl,
         libxml-simple-perl,
         libyaml-perl
Description: deployment and configuration management tool
 Rex is a tool to ease the execution of commands on multiple remote
 servers. You can define small tasks, chain tasks to batches, link
 them with servers or server groups, and execute them easily in
 your terminal.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = $(shell dh_listpackages)
TMP     = $(CURDIR)/debian/$(PACKAGE)
MANDIR  = $(TMP)/usr/share/man/man3

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	rm --verbose $(MANDIR)/Rex::Resource::Common.3pm

## rex 1.12.1

=== debian/changelog ===
rex (1.12.1-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 1.12.1.
  * Bump debhelper-compat to 13.
  * Add another fix to spelling.patch.
  * Don't mark libfile-sharedir-install-perl as <!nocheck>.
    The package is needed for building, not for the testsuite.

 -- gregor herrmann <gregoa@debian.org>  Thu, 06 Aug 2020 17:32:08 +0200

rex (1.12.0-1) unstable; urgency=medium

  * New upstream version 1.12.0
  * Add libfile-sharedir-install-perl to Build-Depends
  * Install bash completion script provided by upstream
  * Update d/rules, install bash and zsh completions, cleanup share dir

 -- Alexandre Mestiashvili <mestia@debian.org>  Wed, 08 Jul 2020 16:07:42 +0200

rex (1.11.0-2) unstable; urgency=medium

  * No change, source-only upload to allow testing migration

 -- Alexandre Mestiashvili <mestia@debian.org>  Wed, 10 Jun 2020 08:55:45 +0200

rex (1.11.0-1) unstable; urgency=medium

  * New upstream version 1.11.0
  * Re-create spelling.patch, old patch is applied by upstream
  * Add d/rex.bash-completion
    - update d/copyright
    - add --with bash-completion to d/rules
    - d/control, add bash-completion to Build-Depends-Indep

 -- Alexandre Mestiashvili <mestia@debian.org>  Sun, 07 Jun 2020 21:52:24 +0200

rex (1.10.0-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 1.10.0.

 -- gregor herrmann <gregoa@debian.org>  Thu, 07 May 2020 19:17:21 +0200

rex (1.9.0-1) unstable; urgency=medium

  * New upstream version 1.9.0

 -- Alexandre Mestiashvili <mestia@debian.org>  Sun, 05 Apr 2020 20:33:49 +0200

rex (1.8.2-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 1.8.2.

 -- gregor herrmann <gregoa@debian.org>  Fri, 06 Mar 2020 20:30:19 +0100

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,14 @@
 Section: admin
 Testsuite: autopkgtest-pkg-perl
 Priority: optional
-Build-Depends: debhelper-compat (= 12)
-Build-Depends-Indep: libdata-validate-ip-perl <!nocheck>,
+Build-Depends: debhelper-compat (= 13)
+Build-Depends-Indep: bash-completion,
+                     libdata-validate-ip-perl <!nocheck>,
                      libdbi-perl <!nocheck>,
                      libdevel-caller-perl <!nocheck>,
                      libdigest-hmac-perl <!nocheck>,
                      libexpect-perl <!nocheck>,
+                     libfile-sharedir-install-perl,
                      libhash-merge-perl <!nocheck>,
                      libhttp-message-perl <!nocheck>,
                      libio-pty-perl <!nocheck>,
@@ -42,9 +44,7 @@
 
 Package: rex
 Architecture: all
-Depends: ${misc:Depends},
-         ${perl:Depends},
-         libdata-validate-ip-perl,
+Depends: libdata-validate-ip-perl,
          libdbi-perl,
          libdevel-caller-perl,
          libdigest-hmac-perl,
@@ -69,7 +69,9 @@
          libwww-perl,
          libxml-libxml-perl,
          libxml-simple-perl,
-         libyaml-perl
+         libyaml-perl,
+         ${misc:Depends},
+         ${perl:Depends}
 Description: deployment and configuration management tool
  Rex is a tool to ease the execution of commands on multiple remote
  servers. You can define small tasks, chain tasks to batches, link

## rex 1.12.2

=== debian/changelog ===
rex (1.12.2-1~bpo10+1) buster-backports; urgency=medium

  * d/control: set debhelper-compat version to 12 for buster-backports
  * revert back to bash-completion in d/control and d/rules
  * Rebuild for buster-backports.

 -- Alexandre Mestiashvili <mestia@debian.org>  Fri, 18 Sep 2020 11:07:54 +0200

rex (1.12.2-1) unstable; urgency=medium

  * Team upload.
  * Replace '--with bash{_,-}completion' in debian/rules with a build
    dependency on 'dh-sequence-bash-completion'.
  * Import upstream version 1.12.2.
  * Add new build/test dependencies.

 -- gregor herrmann <gregoa@debian.org>  Mon, 07 Sep 2020 17:41:01 +0200

rex (1.10.0-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Alexandre Mestiashvili <mestia@debian.org>  Fri, 05 Jun 2020 11:02:24 +0200

rex (1.8.2-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Alexandre Mestiashvili <mestia@debian.org>  Fri, 03 Apr 2020 21:48:04 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Section: admin
 Testsuite: autopkgtest-pkg-perl
 Priority: optional
-Build-Depends: debhelper-compat (= 13)
+Build-Depends: debhelper-compat (= 12)
 Build-Depends-Indep: bash-completion,
+                     libcpan-meta-requirements-perl,
                      libdata-validate-ip-perl <!nocheck>,
                      libdbi-perl <!nocheck>,
                      libdevel-caller-perl <!nocheck>,
@@ -20,6 +21,7 @@
                      libjson-maybexs-perl <!nocheck>,
                      liblist-moreutils-perl <!nocheck>,
                      liblwp-protocol-https-perl <!nocheck>,
+                     libmodule-metadata-perl,
                      libnet-openssh-perl <!nocheck>,
                      libnet-sftp-foreign-perl <!nocheck>,
                      libnet-ssh2-perl <!nocheck>,
@@ -28,6 +30,7 @@
                      libstring-escape-perl <!nocheck>,
                      libterm-readkey-perl <!nocheck>,
                      libtest-deep-perl <!nocheck>,
+                     libtest-output-perl <!nocheck>,
                      libtest-useallmodules-perl <!nocheck>,
                      libtext-glob-perl <!nocheck>,
                      liburi-perl <!nocheck>,
@@ -44,7 +47,9 @@
 
 Package: rex
 Architecture: all
-Depends: libdata-validate-ip-perl,
+Depends: ${misc:Depends},
+         ${perl:Depends},
+         libdata-validate-ip-perl,
          libdbi-perl,
          libdevel-caller-perl,
          libdigest-hmac-perl,
@@ -69,9 +74,7 @@
          libwww-perl,
          libxml-libxml-perl,
          libxml-simple-perl,
-         libyaml-perl,
-         ${misc:Depends},
-         ${perl:Depends}
+         libyaml-perl
 Description: deployment and configuration management tool
  Rex is a tool to ease the execution of commands on multiple remote
  servers. You can define small tasks, chain tasks to batches, link

=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,13 @@
 MANDIR  = $(TMP)/usr/share/man/man3
 
 %:
-	dh $@
+	dh $@ --with bash-completion
 
 override_dh_auto_install:
 	dh_auto_install
 	rm --verbose $(MANDIR)/Rex::Resource::Common.3pm
+	mkdir -p $(TMP)/usr/share/zsh/vendor-completions/
+	mv --verbose \
+        $(TMP)/usr/share/perl5/auto/share/dist/Rex/rex-tab-completion.zsh \
+        $(TMP)/usr/share/zsh/vendor-completions/_rex
+	rm --verbose -rf $(TMP)/usr/share/perl5/auto

## rex 1.13.2

=== debian/changelog ===
rex (1.13.2-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 1.13.2.
  * Declare compliance with Debian Policy 4.5.1.

 -- gregor herrmann <gregoa@debian.org>  Sun, 06 Dec 2020 03:14:03 +0100

rex (1.13.1-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 1.13.1.
  * Update test and runtime dependencies.
  * Refresh spelling.patch.

 -- gregor herrmann <gregoa@debian.org>  Sun, 08 Nov 2020 16:20:14 +0100

rex (1.13.0-1) unstable; urgency=medium

  * New upstream version 1.13.0

 -- Alexandre Mestiashvili <mestia@debian.org>  Tue, 06 Oct 2020 08:54:31 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Section: admin
 Testsuite: autopkgtest-pkg-perl
 Priority: optional
-Build-Depends: debhelper-compat (= 12)
-Build-Depends-Indep: bash-completion,
+Build-Depends: debhelper-compat (= 13)
+Build-Depends-Indep: dh-sequence-bash-completion,
                      libcpan-meta-requirements-perl,
                      libdata-validate-ip-perl <!nocheck>,
                      libdbi-perl <!nocheck>,
@@ -19,13 +19,13 @@
                      libio-string-perl <!nocheck>,
                      libipc-shareable-perl <!nocheck>,
                      libjson-maybexs-perl <!nocheck>,
-                     liblist-moreutils-perl <!nocheck>,
                      liblwp-protocol-https-perl <!nocheck>,
                      libmodule-metadata-perl,
                      libnet-openssh-perl <!nocheck>,
                      libnet-sftp-foreign-perl <!nocheck>,
                      libnet-ssh2-perl <!nocheck>,
                      libparallel-forkmanager-perl <!nocheck>,
+                     libscalar-list-utils-perl (>= 1:1.45) <!nocheck>,
                      libsort-naturally-perl <!nocheck>,
                      libstring-escape-perl <!nocheck>,
                      libterm-readkey-perl <!nocheck>,
@@ -39,7 +39,7 @@
                      libxml-simple-perl <!nocheck>,
                      libyaml-perl <!nocheck>,
                      perl
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/rex
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/rex.git
 Homepage: https://www.rexify.org/
@@ -60,12 +60,12 @@
          libio-string-perl,
          libipc-shareable-perl,
          libjson-maybexs-perl,
-         liblist-moreutils-perl,
          liblwp-protocol-https-perl,
          libnet-openssh-perl,
          libnet-sftp-foreign-perl,
          libnet-ssh2-perl,
          libparallel-forkmanager-perl,
+         libscalar-list-utils-perl (>= 1:1.45),
          libsort-naturally-perl,
          libstring-escape-perl,
          libterm-readkey-perl,

## rex 1.13.3

=== debian/changelog ===
rex (1.13.3-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch:
    + Build-Depends-Indep: Drop versioned constraint on
      libscalar-list-utils-perl.
    + rex: Drop versioned constraint on libscalar-list-utils-perl in Depends.

  [ gregor herrmann ]
  * Import upstream version 1.13.3.
  * Update years of upstream copyright.

 -- gregor herrmann <gregoa@debian.org>  Fri, 05 Mar 2021 22:37:46 +0100

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
                      libnet-sftp-foreign-perl <!nocheck>,
                      libnet-ssh2-perl <!nocheck>,
                      libparallel-forkmanager-perl <!nocheck>,
-                     libscalar-list-utils-perl (>= 1:1.45) <!nocheck>,
+                     libscalar-list-utils-perl <!nocheck>,
                      libsort-naturally-perl <!nocheck>,
                      libstring-escape-perl <!nocheck>,
                      libterm-readkey-perl <!nocheck>,
@@ -65,7 +65,7 @@
          libnet-sftp-foreign-perl,
          libnet-ssh2-perl,
          libparallel-forkmanager-perl,
-         libscalar-list-utils-perl (>= 1:1.45),
+         libscalar-list-utils-perl,
          libsort-naturally-perl,
          libstring-escape-perl,
          libterm-readkey-perl,

## rex 1.13.4

=== debian/changelog ===
rex (1.13.4-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 1.13.4.
  * Update spelling.patch (remove a fixed hunk).
  * Declare compliance with Debian Policy 4.6.0.

 -- gregor herrmann <gregoa@debian.org>  Tue, 28 Sep 2021 19:30:17 +0200

=== debian/control ===
--- 
+++ 
@@ -39,7 +39,7 @@
                      libxml-simple-perl <!nocheck>,
                      libyaml-perl <!nocheck>,
                      perl
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/rex
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/rex.git
 Homepage: https://www.rexify.org/

## rex 1.14.0

=== debian/changelog ===
rex (1.14.0-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 1.14.0.
  * Update years of upstream copyright.
  * Add new test dependencies.
  * Refresh spelling.patch (offset).
  * Declare compliance with Debian Policy 4.6.2.
  * Update lintian override info format in d/rex.lintian-overrides.

 -- gregor herrmann <gregoa@debian.org>  Mon, 06 Feb 2023 18:31:02 +0100

=== debian/control ===
--- 
+++ 
@@ -28,8 +28,10 @@
                      libscalar-list-utils-perl <!nocheck>,
                      libsort-naturally-perl <!nocheck>,
                      libstring-escape-perl <!nocheck>,
+                     libsub-override-perl <!nocheck>,
                      libterm-readkey-perl <!nocheck>,
                      libtest-deep-perl <!nocheck>,
+                     libtest-exception-perl <!nocheck>,
                      libtest-output-perl <!nocheck>,
                      libtest-useallmodules-perl <!nocheck>,
                      libtext-glob-perl <!nocheck>,
@@ -39,7 +41,7 @@
                      libxml-simple-perl <!nocheck>,
                      libyaml-perl <!nocheck>,
                      perl
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/rex
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/rex.git
 Homepage: https://www.rexify.org/

## rex 1.14.1

=== debian/changelog ===
rex (1.14.1-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 1.14.1.
  * Update test, build, and runtime dependencies.
    Also split Depends and Recommends for optional modules.
  * Drop unused lintian override.
  * Remove one module from debian/tests/pkg-perl/syntax-skip.
  * Refresh spelling.patch (offset).

 -- gregor herrmann <gregoa@debian.org>  Mon, 06 Mar 2023 17:12:02 +0100

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,14 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: dh-sequence-bash-completion,
+                     libaws-signature4-perl <!nocheck>,
                      libcpan-meta-requirements-perl,
                      libdata-validate-ip-perl <!nocheck>,
                      libdbi-perl <!nocheck>,
                      libdevel-caller-perl <!nocheck>,
                      libdigest-hmac-perl <!nocheck>,
                      libexpect-perl <!nocheck>,
+                     libfile-libmagic-perl <!nocheck>,
                      libfile-sharedir-install-perl,
                      libhash-merge-perl <!nocheck>,
                      libhttp-message-perl <!nocheck>,
@@ -20,6 +22,7 @@
                      libipc-shareable-perl <!nocheck>,
                      libjson-maybexs-perl <!nocheck>,
                      liblwp-protocol-https-perl <!nocheck>,
+                     libmodule-load-conditional-perl <!nocheck>,
                      libmodule-metadata-perl,
                      libnet-openssh-perl <!nocheck>,
                      libnet-sftp-foreign-perl <!nocheck>,
@@ -33,9 +36,12 @@
                      libtest-deep-perl <!nocheck>,
                      libtest-exception-perl <!nocheck>,
                      libtest-output-perl <!nocheck>,
+                     libtest-simple-perl <!nocheck>,
                      libtest-useallmodules-perl <!nocheck>,
+                     libtest-warnings-perl <!nocheck>,
                      libtext-glob-perl <!nocheck>,
                      liburi-perl <!nocheck>,
+                     libversion-perl <!nocheck>,
                      libwww-perl <!nocheck>,
                      libxml-libxml-perl <!nocheck>,
                      libxml-simple-perl <!nocheck>,
@@ -51,16 +57,14 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${perl:Depends},
+         libaws-signature4-perl,
          libdata-validate-ip-perl,
-         libdbi-perl,
          libdevel-caller-perl,
          libdigest-hmac-perl,
-         libexpect-perl,
          libhash-merge-perl,
          libhttp-message-perl,
          libio-pty-perl,
          libio-string-perl,
-         libipc-shareable-perl,
          libjson-maybexs-perl,
          liblwp-protocol-https-perl,
          libnet-openssh-perl,
@@ -73,10 +77,15 @@
          libterm-readkey-perl,
          libtext-glob-perl,
          liburi-perl,
+         libversion-perl,
          libwww-perl,
-         libxml-libxml-perl,
          libxml-simple-perl,
          libyaml-perl
+Recommends: libdbi-perl,
+            libexpect-perl,
+            libfile-libmagic-perl,
+            libipc-shareable-perl,
+            libxml-libxml-perl
 Description: deployment and configuration management tool
  Rex is a tool to ease the execution of commands on multiple remote
  servers. You can define small tasks, chain tasks to batches, link

## rex 1.14.3

=== debian/changelog ===
rex (1.14.3-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 1.14.3.
  * Mark spelling.patch as Forwarded.

 -- gregor herrmann <gregoa@debian.org>  Wed, 09 Aug 2023 03:25:32 +0200

rex (1.14.2-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 1.14.2.
  * New test dependency: git.
  * Add one more fix to spelling.patch.

 -- gregor herrmann <gregoa@debian.org>  Sun, 11 Jun 2023 23:43:53 +0200

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: dh-sequence-bash-completion,
+                     git <!nocheck>,
                      libaws-signature4-perl <!nocheck>,
                      libcpan-meta-requirements-perl,
                      libdata-validate-ip-perl <!nocheck>,

## rex 1.15.0

=== debian/changelog ===
rex (1.15.0-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 1.15.0.
  * Update Build-Depends-Indep, and Depends.
  * Update years of upstream copyright.
  * Declare compliance with Debian Policy 4.7.0.

 -- gregor herrmann <gregoa@debian.org>  Sun, 17 Nov 2024 03:23:25 +0100

## rex 1.16.0

=== debian/changelog ===
rex (1.16.0-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 1.16.0.
  * Drop spelling.patch, merged upstream.
  * Update years of upstream copyright.

 -- gregor herrmann <gregoa@debian.org>  Fri, 07 Feb 2025 00:30:46 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,6 @@
                      libhash-merge-perl <!nocheck>,
                      libhttp-message-perl <!nocheck>,
                      libio-pty-perl <!nocheck>,
-                     libio-string-perl <!nocheck>,
                      libipc-shareable-perl <!nocheck>,
                      libjson-maybexs-perl <!nocheck>,
                      liblwp-protocol-https-perl <!nocheck>,
@@ -48,7 +47,7 @@
                      libxml-simple-perl <!nocheck>,
                      libyaml-perl <!nocheck>,
                      perl
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/rex
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/rex.git
 Homepage: https://www.rexify.org/
@@ -65,9 +64,9 @@
          libhash-merge-perl,
          libhttp-message-perl,
          libio-pty-perl,
-         libio-string-perl,
          libjson-maybexs-perl,
          liblwp-protocol-https-perl,
+         libmodule-load-conditional-perl,
          libnet-openssh-perl,
          libnet-sftp-foreign-perl,
          libnet-ssh2-perl,

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 MANDIR  = $(TMP)/usr/share/man/man3
 
 %:
-	dh $@ --with bash-completion
+	dh $@
 
 override_dh_auto_install:
 	dh_auto_install

## rex 1.16.1

=== debian/changelog ===
rex (1.16.1-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 1.16.1.
  * Make test dependency on libtest-warnings-perl versioned.

 -- gregor herrmann <gregoa@debian.org>  Sat, 04 Oct 2025 00:04:24 +0200

rex (1.16.0-2) unstable; urgency=medium

  * Team upload.
  * Add dependency on bsdutils.
    Thanks to Chris Hofstädtler for the bug report. (Closes: #1115280)
  * Use dh-shell-completions to install both bash and zsh completions
    with one tool.
  * Declare compliance with Debian Policy 4.7.2.
  * Remove «Rules-Requires-Root: no», which is the current default.
  * Remove «Priority: optional», which is the current default.

 -- gregor herrmann <gregoa@debian.org>  Mon, 15 Sep 2025 19:10:53 +0200

=== debian/control ===
Source: rex
Standards-Version: 4.7.2
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders:
 Alexandre Mestiashvili <mestia@debian.org>,
Section: admin
Testsuite: autopkgtest-pkg-perl
Build-Depends:
 debhelper-compat (= 13),
Build-Depends-Indep:
 bsdutils <!nocheck>,
 dh-sequence-shell-completions,
 git <!nocheck>,
 libaws-signature4-perl <!nocheck>,
 libcpan-meta-requirements-perl,
 libdata-validate-ip-perl <!nocheck>,
 libdbi-perl <!nocheck>,
 libdevel-caller-perl <!nocheck>,
 libdigest-hmac-perl <!nocheck>,
 libexpect-perl <!nocheck>,
 libfile-libmagic-perl <!nocheck>,
 libfile-sharedir-install-perl,
 libhash-merge-perl <!nocheck>,
 libhttp-message-perl <!nocheck>,
 libio-pty-perl <!nocheck>,
 libipc-shareable-perl <!nocheck>,
 libjson-maybexs-perl <!nocheck>,
 liblwp-protocol-https-perl <!nocheck>,
 libmodule-load-conditional-perl <!nocheck>,
 libmodule-metadata-perl,
 libnet-openssh-perl <!nocheck>,
 libnet-sftp-foreign-perl <!nocheck>,
 libnet-ssh2-perl <!nocheck>,
 libparallel-forkmanager-perl <!nocheck>,
 libscalar-list-utils-perl <!nocheck>,
 libsort-naturally-perl <!nocheck>,
 libstring-escape-perl <!nocheck>,
 libsub-override-perl <!nocheck>,
 libterm-readkey-perl <!nocheck>,
 libtest-deep-perl <!nocheck>,
 libtest-exception-perl <!nocheck>,
 libtest-output-perl <!nocheck>,
 libtest-simple-perl <!nocheck>,
 libtest-useallmodules-perl <!nocheck>,
 libtest-warnings-perl (>= 0.033) <!nocheck>,
 libtext-glob-perl <!nocheck>,
 liburi-perl <!nocheck>,
 libversion-perl <!nocheck>,
 libwww-perl <!nocheck>,
 libxml-libxml-perl <!nocheck>,
 libxml-simple-perl <!nocheck>,
 libyaml-perl <!nocheck>,
 perl,
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/rex
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/rex.git
Homepage: https://www.rexify.org/

Package: rex
Architecture: all
Depends:
 ${misc:Depends},
 ${perl:Depends},
 bsdutils,
 libaws-signature4-perl,
 libdata-validate-ip-perl,
 libdevel-caller-perl,
 libdigest-hmac-perl,
 libhash-merge-perl,
 libhttp-message-perl,
 libio-pty-perl,
 libjson-maybexs-perl,
 liblwp-protocol-https-perl,
 libmodule-load-conditional-perl,
 libnet-openssh-perl,
 libnet-sftp-foreign-perl,
 libnet-ssh2-perl,
 libparallel-forkmanager-perl,
 libscalar-list-utils-perl,
 libsort-naturally-perl,
 libstring-escape-perl,
 libterm-readkey-perl,
 libtext-glob-perl,
 liburi-perl,
 libversion-perl,
 libwww-perl,
 libxml-simple-perl,
 libyaml-perl,
Recommends:
 libdbi-perl,
 libexpect-perl,
 libfile-libmagic-perl,
 libipc-shareable-perl,
 libxml-libxml-perl,
Description: deployment and configuration management tool
 Rex is a tool to ease the execution of commands on multiple remote
 servers. You can define small tasks, chain tasks to batches, link
 them with servers or server groups, and execute them easily in
 your terminal.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = $(shell dh_listpackages)
TMP     = $(CURDIR)/debian/$(PACKAGE)
MANDIR  = $(TMP)/usr/share/man/man3

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	rm --verbose $(MANDIR)/Rex::Resource::Common.3pm
	rm --verbose -rf $(TMP)/usr/share/perl5/auto

=== debian/watch ===
version=4
https://metacpan.org/release/Rex   .*/Rex-v?@ANY_VERSION@@ARCHIVE_EXT@$
